Bug 172154 - usbdrive not recognized if FC4 and cannot format
usbdrive not recognized if FC4 and cannot format
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: usbview (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 16:57 EST by joe
Modified: 2013-03-05 22:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 00:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joe 2005-10-31 16:57:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
This may not be a bug.

FC4 does not recognize usbdrive, so I cannot format it - but I can boot to windozeXP and it will ask me if I want to format to win32 - I said yes and it did. Then I booted to FC4 and it recognized the usbdrive.

How can I elimated WindozeXP? WindozeXP can see a usbdrive and mount it unformatted. But FC4 cannot see the usbdrive unless it is formatted - but I cannot format it unless it is mounted?

I almost threw my usb device away, but I kept it around hoping I did not understand something.

Version-Release number of selected component (if applicable):
kernel-2.6.10-13

How reproducible:
Didn't try

Steps to Reproduce:
1. usb device unformatted
2. FC4 will not mount usb, therefor cannot format
3. WindozeXP will mount and format, and then it works with FC4
  

Actual Results:  Both WondozeXP and FC4 could view and use the usb drive

Expected Results:  Expected to be able to use, or format for use, an unformatted usb drive using FC4.

Additional info:

This is probably a request for enhancement - but I hope it is a bug - so I do not need WindozeXP to use an unformatted usb in FC4
Comment 1 joe 2005-10-31 17:15:22 EST
I originally crated this problem by using mkfs to create different file systems
on my usb device. It worked for a couple of different filesystems, but then I
picked one either FC4 did not recognize or I created an unformatted usbdrive.
This user error led to a problem that would have wasted my usb device, had I not
used the WindozeXP solution.
Comment 2 John (J5) Palmieri 2005-10-31 17:27:34 EST
you can still mkfs to a supported filesystem.  You don't need to mount a file
system to format it and in fact you shouldn't have a file system mounted when
formatting it.
Comment 3 Christian Iseli 2007-01-22 06:32:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-03-09 00:53:40 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.